Liste des contacts
curl --request GET \
--url https://api.notiline.net/v1/contact \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notiline.net/v1/contact"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notiline.net/v1/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notiline.net/v1/contact",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notiline.net/v1/contact"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notiline.net/v1/contact")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notiline.net/v1/contact")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lot": "<string>",
"name": "<string>",
"surname": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"email": "<string>",
"city": "<string>",
"birth_date": "2023-12-25",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "<string>",
"modified_from": "<string>",
"external_id": "<string>",
"preferred_language": "<string>",
"avatar_url": "<string>"
}
]{
"status": 401,
"message": "Unauthorized"
}Contact
Liste des contacts
Récupère la liste des contacts.
GET
/
contact
Liste des contacts
curl --request GET \
--url https://api.notiline.net/v1/contact \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notiline.net/v1/contact"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notiline.net/v1/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notiline.net/v1/contact",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notiline.net/v1/contact"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.notiline.net/v1/contact")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notiline.net/v1/contact")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lot": "<string>",
"name": "<string>",
"surname": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"email": "<string>",
"city": "<string>",
"birth_date": "2023-12-25",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"origin": "<string>",
"modified_from": "<string>",
"external_id": "<string>",
"preferred_language": "<string>",
"avatar_url": "<string>"
}
]{
"status": 401,
"message": "Unauthorized"
}Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de requête
Date de début de la période
Date de fin de la période
ID du pays
Réponse
Opération réussie
ID of the contact
Company ID associated with the contact
Group ID associated with the contact
Country ID associated with the contact
Lot associated with the contact
Name of the contact
Surname of the contact
Phone number of the contact
Gender of the contact
Email of the contact
City of the contact
Birth date of the contact
User ID who created the contact
Origin of the contact
Modified from of the contact
External ID associated with the contact
Preferred language of the contact
Avatar URL of the contact